#!/bin/bash

# SPDX-FileCopyrightText: none

# SPDX-License-Identifier: CC0-1.0

qt="/Users/tobias/Qt/5.15.8_static"

iconutil --convert icns ../../../muckturnier.iconset
mv ../../../muckturnier.icns ./

iconutil --convert icns ../../../application-x-muckturnier.iconset
mv ../../../application-x-muckturnier.icns ./

$qt/bin/lconvert -o qt_de.qm $qt/translations/qtbase_de.qm
$qt/bin/lrelease ../muckturnier_de.ts -qm muckturnier_de.qm

$qt/bin/qmake muckturnier.pro -config release

make -j3

tar -cJvf Muckturnier-@VERSION@.app.tar.xz Muckturnier.app
mv Muckturnier-@VERSION@.app.tar.xz ../../../
