// SPDX-FileCopyrightText: 2022 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef MARKERSSETTINGSPAGE_H
#define MARKERSSETTINGSPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"

// Local classes
class Settings;

class MarkersSettingsPage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit MarkersSettingsPage(Settings *settings, QWidget *parent = nullptr);
    void saveSettings() override;

};

#endif // MARKERSSETTINGSPAGE_H
